class test_number{

public mfl.Number get_test_number(){
  mfl.Number result = new mfl.Number();
  System.out.println(new mfl.Number(1.2).toString());
  System.out.println(new mfl.Integer(123).toString());
  System.out.println(new mfl.Integer(1).plus_op(new mfl.Integer(2)).equal_op(new mfl.Integer(3)).toString());
  System.out.println(new mfl.Integer(1).divide_op(new mfl.Integer(2)).toString());
  System.out.println(new mfl.Integer(1).plus_op(new mfl.Integer(3)).divide_op(new mfl.Integer(4)).toString());
  System.out.println(new mfl.Integer(1).divide_op(new mfl.Integer(1).plus_op(new mfl.Integer(4))).toString());
  System.out.println(new mfl.Integer(1).plus_op(new mfl.Integer(1)).exponentiate_op(new mfl.Integer(3)).toString());
  System.out.println(new mfl.Number(2.0).exponentiate_op(new mfl.Number(1.5).plus_op(new mfl.Number(1.5))).toString());
  System.out.println(new mfl.Integer(2).exponentiate_op(new mfl.Number(3.0)).toString());
  System.out.println(new mfl.Integer(1).greater_than_op(new mfl.Number(0.9999999)).toString());
  System.out.println(new mfl.Integer(1).greater_than_or_equal_op(new mfl.Integer(10).divide_op(new mfl.Number(9.99999))).toString());
  System.out.println(new mfl.Integer(2).less_than_op(new mfl.Integer(3)).toString());
  System.out.println(new mfl.Integer(2).less_than_or_equal_op(new mfl.Integer(1)).toString());
  System.out.println(new mfl.Integer(10).minus_op(new mfl.Integer(9)).toString());
  System.out.println(new mfl.Integer(5).plus_op(new mfl.Integer(5)).minus_op(new mfl.Integer(9)).toString());
  System.out.println(new mfl.Integer(10).minus_op(new mfl.Integer(10).minus_op(new mfl.Integer(1))).toString());
  System.out.println(new mfl.Number(0.5).multiply_op(new mfl.Number(0.5)).toString());
  System.out.println(new mfl.Number(0.5).multiply_op(new mfl.Number(0.5)).multiply_op(new mfl.Integer(4)).toString());
  System.out.println(new mfl.Integer(2).multiply_op(new mfl.Integer(3).multiply_op(new mfl.Integer(4))).toString());
  System.out.println(new mfl.Integer(1).plus_op(new mfl.Integer(1)).toString());
  System.out.println(new mfl.Integer(1).plus_op(new mfl.Integer(2)).plus_op(new mfl.Integer(3)).toString());
  System.out.println(new mfl.Integer(1).plus_op(new mfl.Integer(2).minus_op(new mfl.Integer(3))).toString());
  System.out.println(new mfl.Integer(1).unary_minus_op().toString());
  System.out.println(new mfl.Number(0.5).plus_op(new mfl.Number(0.5)).unary_minus_op().toString());
  return result;
}

public static void main(String Argv[]){
  test_number m = new test_number();
  m.get_test_number();
}

}

